ITRDownload AIS

Download Annual Information Statement

Download the complete Annual Information Statement (AIS) file for a registered PAN. Covers all reported financial transactions.

curl -X POST "https://production.deepvue.tech/v1/verification/itr/ais-download" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -H "x-api-key: YOUR_API_KEY" \
  -d '{
  "itr_client_id": "example_string"
}'
{
  "code": 200,
  "timestamp": 1771592226614,
  "transaction_id": "808f86a8-d792-ca72-8823-99c5c27dd6ad",
  "sub_code": "SUCCESS",
  "message": "AIS details downloaded successfully.",
  "data": {
    "itr_client_id": "itr_qkgtvIwLcuooWhtrFFbK",
    "pan_no": "EGDPK2567K",
    "ais_file": "https://aadhaar-kyc-docs.s3.amazonaws.com/itr/...",
    "file_type": "json",
    "status": "completed",
    "financial_year": "2020-21"
  }
}
POST
/v1/verification/itr/ais-download
POST
Bearer Token (JWT)
Bearer Tokenstring
Required

ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .

ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
API Key (header: x-api-key)
x-api-keystring
Required

The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.

The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Content-Typestring
Required

The media type of the request body

Options: application/json
itr_client_idstring
Required

The unique identifier of the client for whom the Income Tax Return (ITR) is being downloaded.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .

header
x-api-keystring
Required

API Key for authentication. The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.

Body

application/json
itr_client_idstring
Required

The unique identifier of the client for whom the Income Tax Return (ITR) is being downloaded.

Responses

codeinteger
timestampinteger
transaction_idstring
sub_codestring
messagestring
dataobject

Overview

This API downloads the Annual Information Statement (AIS) details as a JSON file. The service delivers a secure, temporary URL to access the full financial data for the specified financial year, making it useful for storing or processing the AIS data offline.

The API requires the itr_client_id parameter, which serves as the unique identifier of the client for whom the AIS is being downloaded. On success, the response includes transaction tracking, the PAN number, a downloadable file URL, file type (JSON), completion status, and the associated financial year.

You need an authorized access token to access any of the Platform APIs. One access token is valid for only 24 hours. After expiration, you can renew the token by using the Authorize endpoint to receive a fresh access token.